# OsiUnitTest::TestOutcomes Class Reference

Utility class to maintain a list of test outcomes. More...

`#include <OsiUnitTests.hpp>`

List of all members.

## Public Member Functions
void | add (std::string comp, std::string tst, const char *cond, TestOutcome::SeverityLevel sev, const char *file, int line, bool exp=false)
| Add an outcome to the list.
void | add (const OsiSolverInterface &si, std::string tst, const char *cond, TestOutcome::SeverityLevel sev, const char *file, int line, bool exp=false)
| Add an outcome to the list.
void | print () const
| Print the list of outcomes.
void | getCountBySeverity (TestOutcome::SeverityLevel sev, int &total, int &expected) const
| Count total and expected outcomes at given severity level.

## Detailed Description

Utility class to maintain a list of test outcomes.

Definition at line 204 of file OsiUnitTests.hpp.

## Member Function Documentation

void OsiUnitTest::TestOutcomes::add | ( | std::string | comp,
|  | std::string | tst,
|  | const char * | cond,
|  | TestOutcome::SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false` |
| ) |  |  | `[inline]`

Add an outcome to the list.

Definition at line 207 of file OsiUnitTests.hpp.

void OsiUnitTest::TestOutcomes::add | ( | const OsiSolverInterface & | si,
|  | std::string | tst,
|  | const char * | cond,
|  | TestOutcome::SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false` |
| ) |  |  |

Add an outcome to the list.

Get the component name from the solver interface.

void OsiUnitTest::TestOutcomes::print | ( |  | ) | const

Print the list of outcomes.

void OsiUnitTest::TestOutcomes::getCountBySeverity | ( | TestOutcome::SeverityLevel | sev,
|  | int & | total,
|  | int & | expected |
| ) |  |  | const

Count total and expected outcomes at given severity level.

Given a severity level, walk the list of outcomes and count the total number of outcomes at this severity level and the number expected.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/Osi/src/OsiCommonTest/OsiUnitTests.hpp